export declare enum Lang {
    /** 中文 */
    "zh-CN" = "zh-CN",
    /** 中文(繁体) */
    "zh-TW" = "zh-TW",
    /** 英语 */
    "en" = "en",
    /** 越南语 */
    "vi" = "vi",
    /** 阿尔巴尼亚语 */
    "sq" = "sq",
    /** 阿拉伯语 */
    "ar" = "ar",
    /** 阿塞拜疆语 */
    "az" = "az",
    /** 爱尔兰语 */
    "ga" = "ga",
    /** 爱沙尼亚语 */
    "et" = "et",
    /** 白俄罗斯语 */
    "be" = "be",
    /** 保加利亚语 */
    "bg" = "bg",
    /** 冰岛语 */
    "is" = "is",
    /** 波兰语 */
    "pl" = "pl",
    /** 波斯语 */
    "fa" = "fa",
    /** 布尔文(南非荷兰语) */
    "af" = "af",
    /** 丹麦语 */
    "da" = "da",
    /** 德语 */
    "de" = "de",
    /** 俄语 */
    "ru" = "ru",
    /** 法语 */
    "fr" = "fr",
    /** 菲律宾语 */
    "tl" = "tl",
    /** 芬兰语 */
    "fi" = "fi",
    /** 格鲁吉亚语 */
    "ka" = "ka",
    /** 海地克里奥尔语 */
    "ht" = "ht",
    /** 韩语 */
    "ko" = "ko",
    /** 荷兰语 */
    "nl" = "nl",
    /** 加利西亚语 */
    "gl" = "gl",
    /** 加泰罗尼亚语 */
    "ca" = "ca",
    /** 捷克语 */
    "cs" = "cs",
    /** 克罗地亚语 */
    "hr" = "hr",
    /** 拉脱维亚语 */
    "lv" = "lv",
    /** 立陶宛语 */
    "lt" = "lt",
    /** 罗马尼亚语 */
    "ro" = "ro",
    /** 马耳他语 */
    "mt" = "mt",
    /** 马来语 */
    "ms" = "ms",
    /** 马其顿语 */
    "mk" = "mk",
    /** 挪威语 */
    "no" = "no",
    /** 葡萄牙语 */
    "pt" = "pt",
    /** 日语 */
    "ja" = "ja",
    /** 瑞典语 */
    "sv" = "sv",
    /** 塞尔维亚语 */
    "sr" = "sr",
    /** 斯洛伐克语 */
    "sk" = "sk",
    /** 斯洛文尼亚语 */
    "sl" = "sl",
    /** 斯瓦希里语 */
    "sw" = "sw",
    /** 泰语 */
    "th" = "th",
    /** 土耳其语 */
    "tr" = "tr",
    /** 威尔士语 */
    "cy" = "cy",
    /** 乌克兰语 */
    "uk" = "uk",
    /** 西班牙的巴斯克语 */
    "eu" = "eu",
    /** 西班牙语 */
    "es" = "es",
    /** 希伯来语 */
    "iw" = "iw",
    /** 希腊语 */
    "el" = "el",
    /** 匈牙利语 */
    "hu" = "hu",
    /** 亚美尼亚语 */
    "hy" = "hy",
    /** 意大利语 */
    "it" = "it",
    /** 意第绪语 */
    "yi" = "yi",
    /** 印地语 */
    "hi" = "hi",
    /** 印度乌尔都语 */
    "ur" = "ur",
    /** 印尼语 */
    "id" = "id"
}
interface TranslateConfigToDTO {
    targetLang: Lang;
    outPath: string;
}
export interface TranslateConfigProxy {
    ip: string;
    port: number;
}
export interface ExportConfig {
    entrys: Array<string>;
    output: string;
    translateConfig: {
        proxy: TranslateConfigProxy;
        fromLang: Lang;
        to: TranslateConfigToDTO[];
    };
}
export interface RecordNamespaceMap {
    [namespace: string]: string[];
}
export interface NamespaceMap {
    [namespace: string]: {
        [key: string]: string;
    };
}
export {};
